﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace JingGong.Abp.Print.GoDEX
{
    /// <summary>
    /// 打印数据基础数据结构
    /// </summary>
    public abstract class GoDEXPrintData : IGoDEXPrintData
    {
        public GoDEXCommunication Communication { get; set; }

        public GoDEXPrintSetup LabelSetup { get; set; }

        /// <summary>
        /// 1毫米的点数
        /// </summary>
        public readonly int Dots = 8;

        public abstract bool Print();

    }
}
