﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace JingGong.Abp.Print.GoDEX
{
    /// <summary>
    /// 按图片打印
    /// </summary>
    public class GoDEXPrintImageFile : GoDEXPrintImage
    {
        /// <summary>
        /// 图片地址
        /// </summary>
        public string FilePath { get; set; }

        /// <summary>
        /// 获取图片数据
        /// </summary>
        /// <returns></returns>
        protected override byte[] GetImageData()
        {
            return File.ReadAllBytes(FilePath);
        }
    }
}
